=== debian/changelog ===
gpsbabel (1.5.4-2~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Convert to 3.0 (quilt) source format.
  * Remove quilt ffrom build-depends.
  * Remove unpatch target from debian/rules.
  * Add libqt5webkit5-dev as alternate B-D.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 13 Feb 2018 16:18:37 -0800

gpsbabel (1.5.4-2) unstable; urgency=medium

  * [cc58f71] Move git repository to github.
  * [fb44d98] Add a debian .travis.yml
  * [28c7ad3] Don't build the gui on [!amd64 arm64 armhf i386 mipsel]
    The recent qtwebengine is not available on all architectures.
    Thanks to Adrian Bunk (Closes: #877808)

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 21 Oct 2017 13:37:08 +0200

gpsbabel (1.5.4-1) unstable; urgency=medium

  * [ee23f26] Merge branch 'upstream'
    - New upstream version.
    - Builds fine with gcc7.
    Thanks to Adrian Bunk (Closes: #872744)
  * [f340fb9] Refreshing patches.
  * [8100370] export QT_SELECT=qt5
  * [522c580] Build for/with QT5.
    Using as build-deps:
    qtbase5-dev
    qtwebengine5-dev
    qttools5-dev-tools
    Thanks to Dmitry Shachnev (Closes: #816808)
  * [7d38162] Depend on dh 10 for comapt level 10.
  * [ada8fa9] Fix building with recent QT5 versions.
  * [d627435] Use qmake instead of qmake-qt4.
  * [c08a568] Updating changelog.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 28 Aug 2017 23:53:53 +0200

gpsbabel (1.5.3-2) unstable; urgency=medium

  * [b2954b1] Fix skytraq default values.
    Taken from upstream
    Thanks to Jeroen N. Witmond (Closes: #846945)

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 01 Jan 2017 22:06:31 +0100

gpsbabel (1.5.3-1) unstable; urgency=medium

  * [41ba336] Merge branch 'upstream'
  * [9511cf2] removing extra gpsbabel directory from d/rules.
  * [65959cd] Refreshing patches.
  * [cd70dc1] ensur emissing minizip .o files are built
  * [48328e9] Fix help2man call for gpsbabel
  * [bf2c668] Bump dh compat level to 10.
  * [ec910a4] Remove gpsbabel/ from some more places.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 27 Nov 2016 16:18:18 +0100

gpsbabel (1.5.2-1) unstable; urgency=medium

  * [fda6f38] Merge branch 'upstream'
  * [901aac0] Refreshing patches.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 25 Oct 2015 20:36:55 +0100

gpsbabel (1.5.0-3) unstable; urgency=medium

  * [5b27c1cd] Install gpsbabel.html only.
    Remove php-ized htmldoc folder.
    The whole documentation is available as pdf anyway.
    Thanks to Axel Beckert (Closes: #755457)

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 04 Aug 2014 16:23:33 +0200

gpsbabel (1.5.0-2) unstable; urgency=medium

  * [d7bbdd34] Add menu and desktop files for gpsbabel-gui.
    Thanks to Julien Valroff (Closes: #592799)
  * [c8c9fc34] Ignore make check results for now.
    Checks fail on various architectures due to endianess/byte ordering
    issues or due to floating point numbers not being completely equal.
  * [bd0b02a9] Build-depend on locales-all.
    make check needs the en_US.UTF8 locale.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 14 May 2014 22:19:45 +0200

gpsbabel (1.5.0-1) unstable; urgency=medium

  * [72ac73df] Support nocheck in DEB_BUILD_OPTIONS.
  * [3eb772af] Importing upstream version 1.4.4
  * [91e94593] Refreshing patches.
  * [d9a07846] Updating changelog.
  * [e089d5ab] Merging upstream 1.5.0
  * [77258acf] Refreshing patches
  * [cba6d75d] Create/clean autogen directory.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 13 May 2014 01:19:24 +0200

gpsbabel (1.4.3-1) unstable; urgency=low

  * New upstream release (Closes: #660476)
  * [0754cb61] Merge branch 'upstream'
  * [0dc59f07] Merge branch 'upstream'
  * [337703bb] Refreshing patches.
  * [6e23bc91] Migrate debian/rules and .install files to gpsbabel subdirectory.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 16 May 2012 23:28:46 +0200

gpsbabel (1.4.2-3) unstable; urgency=low

  * [64bae20c] Use libqtwebkit-dev as build-dependency. (Closes: #629742)

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 04 Jul 2011 16:17:13 +0200

gpsbabel (1.4.2-2) unstable; urgency=low

  * [8251cb18] Work around the issues of the sbuild internal resolver.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 15 Feb 2011 11:12:09 +0100

gpsbabel (1.4.2-1) unstable; urgency=low

  * [15f28bac] gpsbabel-gui needs to depend on gpsbabel.
    Add the missing dependency.
  * [e5c3f560] Build-depend on libqtwebkit-dev for recent QT versions.
  * [709bd4d9] Merge branch 'upstream'
  * [f0e46422] Refreshing patches for new upstream version.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 14 Feb 2011 14:14:26 +0100

gpsbabel (1.4.0-1) unstable; urgency=low

  * New upstream version.
  * [37a299e3] Merge branch 'upstream'
  * [01923dca] Removing limited_pointer_type_comparison_fixes patch,
    applied upstream.
  * [4d4ea8f8] Refreshing patches.
  * [f4ef9d52] Add various patches to integrate gpsbabelfe better into
    Debian.
    - Submitting statistics data should be opt-in instead of
      activated by default
    - Disable check for newer versions. apt-get/aptitude takes care of that.
    - Disable check for version differences between gpsbabelfe and gpsbabel.
      The check did not work as expected and dpkg ensures there is
      no difference.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 23 Jun 2010 01:44:11 +0200

gpsbabel (1.3.7~cvs2-3) unstable; urgency=low

  * [b76106eb] Rename gpsbabel.doc-base parts to stop confusing
    dh_installdocs.
  * [0c9397ce] Split documentation into gpsbabel-doc.
  * [08e7b6ec] Fix build target dependency for build-doc.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 06 May 2010 12:12:41 +0200

gpsbabel (1.3.7~cvs2-2) unstable; urgency=low

  * [014dfaaa] Use $(QUILT_STAMPFN) instead of patch as dependency. This
    avoids running configure twice.
  * [75bd04e0] Require make check to succeed for a successful build.
  * [fe9c247b] Better dependencies for the install target.
  * [9a028647] Remove build-dependencies on texlive. The tex based
    documentation is not being built anymore.

