## gpsbabel 1.6.0%2Bds

=== debian/changelog ===
gpsbabel (1.6.0+ds-10build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:15:21 +0100

gpsbabel (1.6.0+ds-10) unstable; urgency=medium

  * [a1fdee8] Install gmapbase.html.
    Also patch a useful path into gpsbabelfe. (LP: #1015886)

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 22 Dec 2019 00:27:08 +0100

gpsbabel (1.6.0+ds-9) unstable; urgency=medium

  * [a1fdee8] Install gmapbase.html.
    Also patch a useful path into gpsbabelfe. (LP: #1015886)

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 21 Dec 2019 23:45:28 +0100

gpsbabel (1.6.0+ds-8) unstable; urgency=medium

  * Add patch for "super gps"
    Thanks to Tim Connors (Closes: #935373)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 24 Sep 2019 22:09:09 +0200

gpsbabel (1.6.0+ds-7) unstable; urgency=medium

  * Drop old build dependency
  * Fix build depends

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 03 Sep 2019 23:46:06 +0200

gpsbabel (1.6.0+ds-6) unstable; urgency=medium

  * Use upstream manpage
    (Closes: #522332, #618856, #803509, #803512, #698326, #862299)
  * Drop note about quilt
  * Add patch for cross compilation.
    Thanks to Helmut Grohne (Closes: #934849)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 03 Sep 2019 21:28:10 +0200

gpsbabel (1.6.0+ds-5) unstable; urgency=medium

  * Only override build-arch in d/rules, fixes building on all

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 26 Jul 2019 15:54:26 +0200

gpsbabel (1.6.0+ds-4) unstable; urgency=medium

  * Fix gpsbabel-gui package (Closes: #932875)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 26 Jul 2019 11:12:00 +0200

gpsbabel (1.6.0+ds-3) unstable; urgency=medium

  * Build pdf on mips again as #580333 was fixed
  * Ignore test results on some architectures

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 19 Jul 2019 14:08:44 +0200

gpsbabel (1.6.0+ds-2) unstable; urgency=medium

  * Build doc in build-indep

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 19 Jul 2019 00:55:34 +0200

gpsbabel (1.6.0+ds-1) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Cleanup upstream sources
  * New upstream version (Closes: #805355)
  * Fix debian/source/format
  * Add watch file
  * Rebase patches
  * Add patches to use system libraries
  * Port to dh 12 (Closes: #912089)
  * Update copyright

  [ Bernd Zeimetz ]
  * Use gitlab-ci instead of travis
  * Update Vcs-Git Urls.

  [ Jochen Sprickerhof ]
  * Maintainer set to team and add myself as uploader
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 18 Jul 2019 23:32:20 +0200
