=== debian/control ===
--- 
+++ 
@@ -1,26 +1,27 @@
 Source: gpsbabel
 Section: utils
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-Bugs: mailto: <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Bernd Zeimetz <bzed@debian.org>
-Build-Depends: debhelper (>= 10~),
- autotools-dev, autoconf,
- libexpat1-dev, expat, help2man,
+Maintainer: Debian GPS team <gpsbabel@packages.debian.org>
+Uploaders: Bernd Zeimetz <bzed@debian.org>, Jochen Sprickerhof <jspricke@debian.org>
+Build-Depends: debhelper-compat (= 12),
+ pkg-config,
+ libexpat1-dev, expat,
  libxml2-utils,
  libusb-dev, zlib1g-dev,
- qtbase5-dev,
- qtwebengine5-dev [amd64 arm64 armhf i386 mipsel] | libqt5webkit5-dev,
+ libshp-dev,
+ qt5-default,
+ qtwebengine5-dev [amd64 arm64 armhf i386 mipsel],
  qttools5-dev-tools,
  imagemagick,
  locales-all,
- fakeroot
-Build-Depends-Indep: fop [!mips], xsltproc, docbook-xml,
- docbook-xsl, libpaper-dev 
-Standards-Version: 3.8.4
+ xsltproc,
+ docbook-xsl
+Build-Depends-Indep: fop, docbook-xml, libpaper-dev
+Standards-Version: 4.4.0
+Rules-Requires-Root: no
 Homepage: http://www.gpsbabel.org/
-Vcs-Git: https://github.com/bzed/pkg-gpsbabel.git
-Vcs-Browser: https://github.com/bzed/pkg-gpsbabel
+Vcs-Git: https://salsa.debian.org/debian-gps-team/pkg-gpsbabel.git
+Vcs-Browser: https://salsa.debian.org/debian-gps-team/pkg-gpsbabel
 
 Package: gpsbabel
 Architecture: any
@@ -54,10 +55,11 @@
 
 Package: gpsbabel-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Suggests: gpsbabel, pdf-viewer | www-browser
-Description: GPS file conversion plus transfer to/from GPS units
+Description: GPS file conversion plus transfer to/from GPS units - documentation
  GPSBabel converts waypoints, tracks, and routes from one format to
  another, whether that format is a common mapping format like Delorme,
  Streets and Trips, or even a serial upload or download to a GPS unit
