=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Bernd Zeimetz <bzed@debian.org>, Jochen Sprickerhof <jspricke@debian.org>
 Build-Depends: debhelper-compat (= 12),
  pkg-config,
- libexpat1-dev, expat,
+ libexpat1-dev, expat, help2man,
  libxml2-utils,
  libusb-dev, zlib1g-dev,
  libshp-dev,
@@ -13,10 +13,9 @@
  qtwebengine5-dev [amd64 arm64 armhf i386 mipsel],
  qttools5-dev-tools,
  imagemagick,
- locales-all,
- xsltproc,
- docbook-xsl
-Build-Depends-Indep: fop, docbook-xml, libpaper-dev
+ locales-all
+Build-Depends-Indep: fop, xsltproc, docbook-xml,
+ docbook-xsl, libpaper-dev 
 Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Homepage: http://www.gpsbabel.org/
