## gpsbabel 1.7.0%2Bds

=== debian/changelog ===
gpsbabel (1.7.0+ds-7+rpi1) bullseye-staging; urgency=medium

  [changes brought forward from 1.5.4-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Thu, 26 Oct 2017 12:10:21 +0000]
  * Remove armhf from architecture list for qtwebengine build-dep, 
    we don't have (and may never have) it in Raspbian.
  * Remove armhf from architecture list for gpsbabel-gui, it
    needs the aforementioned build-dep.

 -- Raspbian forward porter <root@raspbian.org>  Thu, 22 Oct 2020 19:33:18 +0000

gpsbabel (1.7.0+ds-7) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove qt5-default from build dependencies (Closes: #972164).
    - Replace it with qtbase5-dev, which is the appropriate one.
    - Export QT_SELECT := qt5 to let qtchooser use the right Qt version.

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 17 Oct 2020 12:37:40 +0200

gpsbabel (1.7.0+ds-6) unstable; urgency=medium

  * Set TZ for tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 13 Oct 2020 22:39:49 +0200

gpsbabel (1.7.0+ds-5) unstable; urgency=medium

  * Add patch for i386 test failure

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 07 Aug 2020 15:38:18 +0200

gpsbabel (1.7.0+ds-4) unstable; urgency=medium

  * Add patch for endianness issues

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 07 Aug 2020 11:31:04 +0200

gpsbabel (1.7.0+ds-3) unstable; urgency=medium

  * Fix test logic

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 10 Jul 2020 16:13:04 +0200

gpsbabel (1.7.0+ds-2) unstable; urgency=medium

  * Update arch list that ignore test result

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 10 Jul 2020 15:09:25 +0200

gpsbabel (1.7.0+ds-1) unstable; urgency=medium

  * New upstream version
  * Update file excludes
  * Update d/copyright
  * Simplify d/watch
  * rebase patches
  * bump debhelper version (no changes)
  * Depend on libusb-1.0-0-dev (Closes: #810420)

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 09 Jul 2020 21:54:33 +0200

gpsbabel (1.6.0+ds-11) unstable; urgency=medium

  * Add patch for strcmp (Closes: #957304)
  * bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 21 Apr 2020 19:40:57 +0200
