=== debian/control ===
--- 
+++ 
@@ -3,20 +3,21 @@
 Priority: optional
 Maintainer: Debian GPS team <gpsbabel@packages.debian.org>
 Uploaders: Bernd Zeimetz <bzed@debian.org>, Jochen Sprickerhof <jspricke@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  pkg-config,
- libexpat1-dev, expat, help2man,
+ libexpat1-dev, expat,
  libxml2-utils,
- libusb-dev, zlib1g-dev,
+ libusb-1.0-0-dev, zlib1g-dev,
  libshp-dev,
- qt5-default,
- qtwebengine5-dev [amd64 arm64 armhf i386 mipsel],
+ qtbase5-dev,
+ qtwebengine5-dev [amd64 arm64 i386 mipsel],
  qttools5-dev-tools,
  imagemagick,
- locales-all
-Build-Depends-Indep: fop, xsltproc, docbook-xml,
- docbook-xsl, libpaper-dev 
-Standards-Version: 4.4.0
+ locales-all,
+ xsltproc,
+ docbook-xsl
+Build-Depends-Indep: fop, docbook-xml, libpaper-dev
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: http://www.gpsbabel.org/
 Vcs-Git: https://salsa.debian.org/debian-gps-team/pkg-gpsbabel.git
@@ -73,7 +74,7 @@
  This package contains the detailed documentation of gpsbabel.
 
 Package: gpsbabel-gui
-Architecture: amd64 arm64 armhf i386 mipsel
+Architecture: amd64 arm64 i386 mipsel
 Depends: ${shlibs:Depends}, ${misc:Depends}, gpsbabel (= ${binary:Version})
 Description: GPS file conversion plus transfer to/from GPS units - GUI
  GPSBabel converts waypoints, tracks, and routes from one format to
